/*
 *  Change the directories in these #defines if necessary. Note trailing slash.
 */

#ifdef __MSDOS__

	#define BINDIR80 "d:/tools/cpm/bin80/"
	#define LIBDIR80 "d:/tools/cpm/lib80/"
	#define INCDIR80 "d:/tools/cpm/include/"

#else

	#define BINDIR80 "/usr/local/lib/cpm/bin80/"
	#define LIBDIR80 "/usr/local/lib/cpm/lib80/"
	#define INCDIR80 "/usr/local/lib/cpm/include80/"

#endif

#define VERSION "0.4"
#define SERIAL "ZXCC04"

/* System include files */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <stdarg.h>
#include <ctype.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>
#include <time.h>
#ifdef __MSDOS
#include <dos.h>
#endif

/* Library includes */

#ifdef USE_CPMIO
#include "cpmio.h"
#endif

#ifdef USE_CPMGSX
#include "cpmgsx.h"
#endif

#include "cpmredir.h"	/* BDOS disc simulation */

/* Z80 CPU emulation */

#include "Z80.h"

/* Prototypes */

void cpmbdos(Z80 *R);
void cpmbios(Z80 *R);
void dump_regs(FILE *fp, Z80 *R);
void Msg(char *s, ...);


/* Global variables */

extern char *progname;
extern char **argv;
extern int argc;
extern byte RAM[65536]; /* The Z80's address space */

extern void dump_regs(FILE *fp, Z80 *R);


